List snippet runs
curl --request GET \
--url https://api.akua.dev/v1/snippets/{id}/runs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.akua.dev/v1/snippets/{id}/runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.akua.dev/v1/snippets/{id}/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"snippet_id": "<string>",
"snippet_name": "<string>",
"snippet_etag": "<string>",
"dashboard_id": "<string>",
"dashboard_name": "<string>",
"widget_id": "<string>",
"widget_title": "<string>",
"run_by": "<string>",
"agent_session_id": "<string>",
"agent_turn_id": "<string>",
"duration_ms": 123,
"stats": {
"cpu_time_ms": 123,
"wall_time_ms": 123,
"heap_used_bytes": 123
},
"created_at": 1,
"etag": "<string>",
"overrides": {},
"output": "<unknown>",
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"success": false,
"errors": [
{
"code": 7002,
"message": "Resource not found",
"path": [
"body",
"name"
],
"metadata": {}
}
],
"result": {}
}{
"success": false,
"errors": [
{
"code": 7002,
"message": "Resource not found",
"path": [
"body",
"name"
],
"metadata": {}
}
],
"result": {}
}Snippets
List snippet runs
Returns runs for a snippet. Use view=basic for a compact listing.
GET
/
snippets
/
{id}
/
runs
List snippet runs
Authorizations
workspace API token (sk_akua_...) or OAuth2 JWT. Create tokens at https://akua.dev/developers/api-tokens
Path Parameters
Required string length:
1 - 54Query Parameters
Pagination cursor from a previous response's next_cursor.
Items per page (1-100, default 50)
Required range:
1 <= x <= 100Example:
50
Available options:
succeeded, failed, timed_out Control whether output and error details are included.
Available options:
basic, full ⌘I